--- simple-ldap-login/Simple-LDAP-Login.php.orig	2012-12-03 15:13:22.277727410 -0600
+++ simple-ldap-login/Simple-LDAP-Login.php	2012-12-03 15:14:06.138297802 -0600
@@ -78,8 +78,18 @@
 function sll_authenticate($user, $username, $password) {
 	if ( is_a($user, 'WP_User') ) { return $user; }
 	
+	// initialize variable in case user id 1 doesn't exist so the check below is safer
+	$admin_username = '';
+	// lookup id 1 which should be your default admin account; change the number if different
+	$admin_user = new WP_User(1);
+	// if id 1 is a valid user, grab the login for that account
+	if ($admin_user->exists()) {
+		$admin_username = $admin_user->user_login;
+	}
+
 	//Failed, should we let it continue to lower priority authenticate methods?
-	if(get_option("simpleldap_security_mode") == "security_high")
+	// always allow designated (above) admin account regardless of setting
+	if((get_site_option("simpleldap_security_mode") == "security_high") && ($username != $admin_username))
 	{
 		remove_filter('authenticate', 'wp_authenticate_username_password', 20, 3);
 	}
